@import "variables";

.get-started {
	background-color: $cyan;
	display: flex;
	justify-content: center;
	overflow: hidden;
	position: relative;

	&-background {
		position: absolute;
		isolation: isolate;
		width: 100%;
		height: 100%;

		&-container {
			position: relative;
			width: 100%;
			height: 100%;
		}

		&-image {
			position: absolute;

			img {
				width: 100%;
				height: 100%;
			}

			&-cloud-1 {
				bottom: 28%;
				right: 40%;
				z-index: -1;
			}

			&-cloud-2 {
				width: 196px;
				height: 67px;
				bottom: 50%;
				right: 6%;
				z-index: -1;
			}

			&-cloud-3 {
				bottom: 73%;
				right: 3%;
				z-index: -1;
			}

			&-grasshopper-mama {
				width: 249px;
				height: 729px;
				bottom: -96%;
				right: 15%;
			}
		}
	}

	&-container {
		padding: 7.75rem 2.5rem 5.87rem 2.5rem;
		max-width: 1200px;
		display: grid;
		grid-template-columns: 60% 40%;
	}

	&-content {
		display: flex;
		flex-direction: column;
		gap: 2.5rem;

		&-links {
			display: flex;
			align-items: center;
			gap: 1.25rem;
		}

		&-title {
			font-size: 2.25rem;
			font-weight: 500;
		}
	}

	& a.google-play-btn {
		img {
			width: 173px;
			height: 48px;
		}
	}
}

@media (max-width: 720px) {
	.get-started {
		&-background {
			width: 100%;
			height: 100%;

			&-container {
				width: 100%;
				height: 100%;
			}

			&-image {
				img {
					width: 100%;
					height: 100%;
				}

				&-cloud-1 {
					width: 101px;
					height: 34px;
					bottom: 33%;
					left: 7%;
				}

				&-cloud-2 {
					width: 87px;
					height: 29px;
					bottom: 22%;
					right: 9%;
				}

				&-cloud-3 {
					width: 53.53px;
					height: 17.7px;
					bottom: 33%;
					right: 9%;
				}

				&-grasshopper-mama {
					bottom: -42%;
					right: calc(50% - 89px);
					width: 178px;
					height: 520px;
				}
			}
		}

		&-container {
			padding: 5rem 1.25rem 5rem 1.25rem;
			grid-template-columns: none;
			grid-template-rows: repeat(2, 1fr);
			gap: 10rem;
		}

		&-content {
			align-items: center;
			gap: 2.5rem;

			&-links {
				& :last-child {
					display: none;
				}
			}

			&-title {
				font-size: 1.5rem;
				text-align: center;
			}
		}
	}
}
